(*****************************************************************************)
(*                                                                           *)
(*              Demonstrationsprogramm zur Komponente TSerPort               *)
(*                                                                           *)
(*   (c) 1999-2000 Rainer Reusch & Toolbox                                   *)
(*                                                                           *)
(****V1.0*********************************************************************)

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, Serial, ComCtrls;

type
  TForm1 = class(TForm)
    GroupBox1: TGroupBox;
    SerPort1: TSerPort;
    COMComboBox1: TCOMComboBox;
    ButtonOpenClose: TButton;
    RadioGroupDTR: TRadioGroup;
    RadioGroupRTS: TRadioGroup;
    GroupBox2: TGroupBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    LabelDCD: TLabel;
    LabelDSR: TLabel;
    LabelCTS: TLabel;
    LabelRI: TLabel;
    StatusBar1: TStatusBar;
    procedure ButtonOpenCloseClick(Sender: TObject);
    procedure RadioGroupDTRClick(Sender: TObject);
    procedure RadioGroupRTSClick(Sender: TObject);
    procedure SerPort1Dcd(Sender: TObject);
    procedure SerPort1Dsr(Sender: TObject);
    procedure SerPort1Cts(Sender: TObject);
    procedure SerPort1Ring(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.ButtonOpenCloseClick(Sender: TObject);
// Schnittstelle ffnen/schlieen
begin
  SerPort1.Active:=not SerPort1.Active;
  if SerPort1.Active then
  begin
    COMComboBox1.Enabled:=false;
    ButtonOpenClose.Caption:='&schlieen';
    LabelDCD.Caption:=IntToStr(ord(SerPort1.In_DCD));
    LabelDSR.Caption:=IntToStr(ord(SerPort1.In_DSR));
    LabelCTS.Caption:=IntToStr(ord(SerPort1.In_CTS));
    LabelRI.Caption:=IntToStr(ord(SerPort1.In_RI));
    StatusBar1.SimpleText:=SerPort1.Ports[SerPort1.COMPort-1]+' geffnet';
  end
  else
  begin
    COMComboBox1.Enabled:=true;
    ButtonOpenClose.Caption:='&ffnen';
    LabelDCD.Caption:='?';
    LabelDSR.Caption:='?';
    LabelCTS.Caption:='?';
    LabelRI.Caption:='?';
    StatusBar1.SimpleText:='Keine Schnittstelle geffnet';
  end;
end;

procedure TForm1.RadioGroupDTRClick(Sender: TObject);
// Pegel des DTR-Ausgangs
begin
  SerPort1.Out_DTR:=boolean(RadioGroupDTR.ItemIndex);
end;

procedure TForm1.RadioGroupRTSClick(Sender: TObject);
// Pegel des RTS-Ausgangs
begin
  SerPort1.Out_RTS:=boolean(RadioGroupRTS.ItemIndex);
end;

procedure TForm1.SerPort1Dcd(Sender: TObject);
// DCD-Eingang hat sich gendert
begin
  LabelDCD.Caption:=IntToStr(ord(SerPort1.In_DCD));
end;

procedure TForm1.SerPort1Dsr(Sender: TObject);
// DSR-Eingang hat sich gendert
begin
  LabelDSR.Caption:=IntToStr(ord(SerPort1.In_DSR));
end;

procedure TForm1.SerPort1Cts(Sender: TObject);
// CTS-Eingang hat sich gendert
begin
  LabelCTS.Caption:=IntToStr(ord(SerPort1.In_CTS));
end;

procedure TForm1.SerPort1Ring(Sender: TObject);
// RI-Eingang hat sich gendert
begin
  LabelRI.Caption:=IntToStr(ord(SerPort1.In_RI));
end;

end.
